org.eclnt.jsfserver.calendar

## Interface IExtCalendarMgr

- All Known Implementing Classes:
    ExtCalendarMgr

      public interface IExtCalendarMgr

  Interface for the extended calendar component (CALENDARFIELD with EXT* attributes defined). The class that implements this interface is registered in system.xml. The factory to obtain an instance of IExtCalendarMgr is `ExtCalendarMgr.getInstance()`.
  The interface is available for two purposes:
  (1) Is is accessed by the client side through a servlet (`ExtCalendarServlet`) in order to provide calendar information that is shown within the user interface client (e.g. when browsing through the calendar popup).
  (2) Is can be accessed by the server side processing.
  There is a default implementation (`ExtCalendarMgr`, which is typically replaced by your own implementation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IExtCalendarMgr.ExtCalendarInfo` Information about a day that is a non-working day.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBuffer()` Optional implementation: in case the calendar management buffers calendar infos: release all buffered information.
    `java.util.List<java.lang.String>` | `getAvailableCalendarIds()` Optional implementation: all available calendars.
    `IExtCalendarMgr.ExtCalendarInfo` | `getCalendarInfoForDay(java.lang.String calendarId, java.util.Date d, java.lang.String timeZone)` Mandatory implementation: check the calendar info for one day.
    `java.util.List<IExtCalendarMgr.ExtCalendarInfo>` | `getCalendarInfoForMonth(java.lang.String calendarId, java.util.Date d, java.lang.String timeZone)` Mandatory implementation: check the calendar info for all days of one month.

- - ### Method Detail

    - #### clearBuffer

          void clearBuffer()

      Optional implementation: in case the calendar management buffers calendar infos: release all buffered information.

    - #### getAvailableCalendarIds

          java.util.List<java.lang.String> getAvailableCalendarIds()

      Optional implementation: all available calendars.

    - #### getCalendarInfoForDay

          IExtCalendarMgr.ExtCalendarInfo getCalendarInfoForDay(java.lang.String calendarId,
                                                                java.util.Date d,
                                                                java.lang.String timeZone)

      Mandatory implementation: check the calendar info for one day.

    - #### getCalendarInfoForMonth

          java.util.List<IExtCalendarMgr.ExtCalendarInfo> getCalendarInfoForMonth(java.lang.String calendarId,
                                                                                  java.util.Date d,
                                                                                  java.lang.String timeZone)

      Mandatory implementation: check the calendar info for all days of one month. This method is called by the client side calendar component when navigating between months.

Copyright © CaptainCasa Gmbh. All Rights Reserved.